> ## Documentation Index
> Fetch the complete documentation index at: https://sambanova-systems.mintlify.site/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Deepresearch Interactive Agent

> Two-step interactive deep research API:
Step 1: Submit prompt, get thread_id and research plan for approval.
Step 2: Submit prompt with thread_id and resume=true to get the final report.



## OpenAPI

````yaml https://raw.githubusercontent.com/sambanova/agents/refs/heads/main/chat-sambanova-agent-api-spec.yaml post /agent/deepresearch/interactive
openapi: 3.1.0
info:
  title: Sambanova Agents Service
  description: Service for Sambanova agents
  version: 0.0.1
  termsOfService: https://sambanova.ai/cloud-end-user-license-agreement
  contact:
    email: info@sambanova.ai
    name: SambaNova information
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://chat.sambanova.ai/api
security:
  - api_key: []
externalDocs:
  description: Find out more in the official SambaNova docs
  url: https://docs.sambanova.ai/cloud/api-reference/overview
paths:
  /agent/deepresearch/interactive:
    post:
      tags:
        - Subagents Interactive
      summary: Deepresearch Interactive Agent
      description: >-
        Two-step interactive deep research API:

        Step 1: Submit prompt, get thread_id and research plan for approval.

        Step 2: Submit prompt with thread_id and resume=true to get the final
        report.
      operationId: deepresearch_interactive_agent_agent_deepresearch_interactive_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DeepResearchInteractiveRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentResponse'
          description: Successful Response
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - api_key: []
components:
  schemas:
    DeepResearchInteractiveRequest:
      title: DeepResearchInteractiveRequest
      type: object
      description: Request for deep research interactive agent json object
      additionalProperties: false
      properties:
        prompt:
          title: Prompt
          description: The main prompt for the deep research interactive agent
          type: string
        resume:
          default: false
          title: Resume
          description: Whether to describe the results or not
          type: boolean
        thread_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Thread Id
          description: thread id for persistent context
      required:
        - prompt
      examples:
        - prompt: Research AI accelerator market
          resume: false
        - prompt: approve
          thread_id: thread-abc123
          resume: true
    AgentResponse:
      type: object
      title: Agent Response Object
      description: >-
        Unified schema for agent responses, including success and interrupt
        states.
      additionalProperties: false
      properties:
        status:
          title: status
          description: status of agent gereneration
          type: string
        result:
          title: Result
          description: results description
          type: string
        artifacts:
          title: Artifacts
          description: List of generated artifact IDs (e.g., files, images, reports)
          type: array
          items:
            type: string
            description: ID of a generated artifact
        file_ids:
          title: File IDs
          description: Optional list of file identifiers associated with the response
          type: array
          items:
            type: string
            description: ID of an uploaded or generated file
        thread_id:
          title: Thread ID
          description: Identifier for maintaining persistent conversation or context
          type: string
        interrupt:
          title: Interrupt
          description: Information about an interrupt event requiring user action
          type: object
          properties:
            type:
              title: Type
              description: Type of interrupt (e.g., approval)
              type: string
            message:
              title: Message
              description: Plan or information message for the user
              type: string
          required:
            - type
            - message
      required:
        - status
        - thread_id
      example:
        status: interrupt
        thread_id: thread-a
    HTTPValidationError:
      title: HTTPValidationError
      type: object
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    api_key:
      type: http
      description: SambaNova API Key
      scheme: bearer
      bearerFormat: apiKey

````